Get payment by cartId - Fabric

Get payment by cartId

cURL

curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-payment/payment/{cartId}
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-payment/payment/{cartId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-payment/payment/{cartId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Example Response

{
  "query": {
    "limit": 10,
    "offset": 0,
    "count": 1
  },
  "payments": [\
    {\
      "billToAddress": {\
        "name": {\
          "first": "John",\
          "last": "Smith"\
        },\
        "email": "user1@gmail.com",\
        "phone": {\
          "number": "3334445555",\
          "kind": "Mobile"\
        },\
        "street1": "1000 main street",\
        "city": "Seattle",\
        "state": "WA",\
        "country": "US",\
        "zipCode": "98101",\
        "street2": "1000 main street"\
      },\
      "_id": "5fee9d59f2f08a1b3cbdea08",\
      "createdAt": "2020-12-31T02:09:53.914Z",\
      "updatedAt": "2020-12-31T02:09:53.914Z",\
      "paymentDetails": {\
        "transactionDetails": {\
          "paymentType": "CARD_STRIPE",\
          "paymentToken": "pi_1IyMGc2YBvYaVyBQNkOiCE3E"\
        },\
        "paymentStatus": {\
          "cardHolderFullName": "First Last",\
          "paymentMethod": "visa",\
          "last4": "4242",\
          "amountCapturable": 99900,\
          "status": "succeeded"\
        },\
        "amount": 999,\
        "currency": "USD"\
      },\
      "version": 0,\
      "cartId": "60b90dd7308ded0008ee3c5d",\
      "isValid": true,\
      "__v": 0\
    }\
  ]
}

Error Responses

{
  "code": "<string>",
  "message": "<string>"
}
{
  "message": "Forbidden"
}
{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}

Parameters

Headers

Example: "0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"

Path Parameters

Response

Attributes